[android-components](../../index.md) / [mozilla.components.feature.pwa.intent](../index.md) / [TrustedWebActivityIntentProcessor](index.md) / [process](./process.md)

# process

`fun process(intent: <ERROR CLASS>): `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/pwa/src/main/java/mozilla/components/feature/pwa/intent/TrustedWebActivityIntentProcessor.kt#L55)

Overrides [IntentProcessor.process](../../mozilla.components.feature.intent.processing/-intent-processor/process.md)

Processes the given [Intent](#).

### Parameters

`intent` - The intent to process.

**Return**
True if the intent was processed, otherwise false.

